<script>
import Vue from 'vue';
import { SlpHorizontalRule, SlpColumn } from '../common/index.vue';

export default Vue.extend({
  name: 'BenefitsIcons',
  components: {
    SlpColumn,
    SlpHorizontalRule,
  },
  props: {
    data: {
      type: Object,
      default: null,
      required: false,
    },
  },
});
</script>

<template>
  <SlpRow class="slp-flex slp-flex-column slp-align-items-center">
    <SlpColumn :cols="data.column_size || 12">
      <div class="container">
        <h2 class="container__title">{{ data.title }}</h2>
        <div
          v-if="data.subtitle"
          class="container__subtitle"
          v-html="$md.render(data.subtitle)"
        ></div>
        <ul class="container__benefits-list">
          <li
            v-for="benefit in data.benefits"
            :key="benefit.title"
            class="item"
          >
            <img :src="benefit.icon" alt="" />
            <div class="item__text">
              <h3>{{ benefit.title }}</h3>
              <div
                v-if="benefit.subtitle"
                v-html="$md.render(benefit.subtitle)"
              ></div>
            </div>
          </li>
        </ul>
      </div>
    </SlpColumn>
    <SlpHorizontalRule v-if="data.horizontal_rule" />
  </SlpRow>
</template>

<style lang="scss" scoped>
p {
  font-size: 16px;
  line-height: 28px;
}
.container {
  display: flex;
  flex-direction: column;

  &__title {
    font-size: 32px;
    line-height: 36px;
    margin-top: $spacing-24;
    margin-bottom: $spacing-8;

    @media (max-width: $breakpoint-sm) {
      font-size: 24px;
      line-height: 30px;
    }
  }

  &__subtitle ::v-deep p,
  .item__text ::v-deep p {
    margin-bottom: 1em;
    font-size: 16;
  }

  &__benefits-list {
    max-width: 100%;

    @media (min-width: $breakpoint-md) {
      max-width: 75%;
    }

    .item {
      display: flex;
      margin: $spacing-24 0px;

      &__text {
        margin-left: $spacing-24;
        flex: 1;

        h3 {
          font-size: 23px;
          line-height: 28px;

          @media (max-width: $breakpoint-sm) {
            font-size: 19px;
            line-height: 24px;
          }
        }
      }
    }

    img {
      width: 70px;
      height: 70px;
    }
  }
}
</style>
